org.eclipse.aether.util.graph.transformer

## Class TransformationContextKeys

- java.lang.Object
- - org.eclipse.aether.util.graph.transformer.TransformationContextKeys

-     public final class TransformationContextKeys
      extends Object

  A collection of keys used by the dependency graph transformers when exchanging information via the graph transformation context.
  See Also:
    `DependencyGraphTransformationContext.get(Object)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Object` | `CONFLICT_IDS` The key in the graph transformation context where a `Map<DependencyNode, Object>` is stored which maps dependency nodes to their conflict ids.
    `static Object` | `CYCLIC_CONFLICT_IDS` The key in the graph transformation context where a `Collection<Collection<Object>>` is stored that denotes cycles among conflict ids.
    `static Object` | `SORTED_CONFLICT_IDS` The key in the graph transformation context where a `List<Object>` is stored that denotes a topological sorting of the conflict ids.
    `static Object` | `STATS` The key in the graph transformation context where a `Map<String, Object>` is stored that can be used to include some runtime/performance stats in the debug log.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFLICT_IDS

          public static final Object CONFLICT_IDS

      The key in the graph transformation context where a `Map<DependencyNode, Object>` is stored which maps dependency nodes to their conflict ids. All nodes that map to an equal conflict id belong to the same group of conflicting dependencies. Note that the map keys use reference equality.
      See Also:
        `ConflictMarker`

    - #### SORTED_CONFLICT_IDS

          public static final Object SORTED_CONFLICT_IDS

      The key in the graph transformation context where a `List<Object>` is stored that denotes a topological sorting of the conflict ids.
      See Also:
        `ConflictIdSorter`

    - #### CYCLIC_CONFLICT_IDS

          public static final Object CYCLIC_CONFLICT_IDS

      The key in the graph transformation context where a `Collection<Collection<Object>>` is stored that denotes cycles among conflict ids. Each element in the outer collection denotes one cycle, i.e. if the collection is empty, the conflict ids have no cyclic dependencies.
      See Also:
        `ConflictIdSorter`

    - #### STATS

          public static final Object STATS

      The key in the graph transformation context where a `Map<String, Object>` is stored that can be used to include some runtime/performance stats in the debug log. If this map is not present, no stats should be recorded.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.